requires:
  min-version: 8

pcap: ../../http2-keywords/input.pcap

args:
  - --simulate-ips
  - -k none

checks:
  # If HTTP2 firewall hooks are registered, all 8 http2:* rules
  # should load (0 failed) and the request should be accepted
  # through the hook chain. We expect at least the request_headers
  # hook to match on the URI.
  #
  # Expected: all packets accepted, 0 blocked.
  # Current (8.0.4): HTTP2 hooks are NOT registered, so rules
  # will fail to load or traffic will be dropped by default policy.
  - filter:
      count: 1
      match:
        event_type: stats
        stats.ips.accepted: 10
        stats.ips.blocked: 0
